View Issue Details

IDProjectCategoryView StatusLast Update
0024343mantisbtapi restpublic2018-04-29 19:21
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.13.2 
Target Version2.13.2Fixed in Version2.13.2 
Summary0024343: REST API returns too much info for default category handler
Description

When calling GET /api/rest/projects the categories include full user info rather than account reference info for default category handlers.

TagsNo tags attached.

Relationships

related to 0024346 closedvboctor Don't show category default handler for users that can't manage the project 

Activities

vboctor

vboctor

2018-04-21 14:53

manager   ~0059625

PR: https://github.com/mantisbt/mantisbt/pull/1339

atrol

atrol

2018-04-22 11:04

developer   ~0059635

I am wondering if default category handler is something that should be visible for users without a certain access level.
E.g. I am not aware that you can get the default category handler via UI as a reporter, but you get it by using REST.

vboctor

vboctor

2018-04-22 11:08

manager   ~0059636

@atrol Good point, it likely should only be accessible to only users with project management access level to the project. However, it is a different issue, can you please open a different issue for it?

vboctor

vboctor

2018-04-22 20:09

manager   ~0059639

@atrol I have opened 0024346 and updated the pull request to fix it.

atrol

atrol

2018-04-23 16:34

developer   ~0059656

Did a few tests and approved the PR.

Related Changesets

MantisBT: master-2.13 8758ab82

2018-04-21 14:52:35

vboctor

Details Diff
Use user account reference for category handler

Fixes 0024343
Affected Issues
0024343
mod - api/soap/mc_project_api.php Diff File

Issue History

Date Modified Username Field Change
2018-04-21 14:51 vboctor New Issue
2018-04-21 14:51 vboctor Status new => assigned
2018-04-21 14:51 vboctor Assigned To => vboctor
2018-04-21 14:53 vboctor Note Added: 0059625
2018-04-21 15:57 vboctor Target Version 2.14.0 => 2.13.2
2018-04-22 11:04 atrol Note Added: 0059635
2018-04-22 11:08 vboctor Note Added: 0059636
2018-04-22 20:09 vboctor Relationship added related to 0024346
2018-04-22 20:09 vboctor Note Added: 0059639
2018-04-23 16:34 atrol Note Added: 0059656
2018-04-27 20:39 vboctor Changeset attached => MantisBT master-2.13 8758ab82
2018-04-27 20:39 vboctor Status assigned => resolved
2018-04-27 20:39 vboctor Resolution open => fixed
2018-04-27 20:39 vboctor Fixed in Version => 2.13.2
2018-04-29 19:21 vboctor Status resolved => closed